#include <Ethernet.h>
#include <SPI.h>

int input = 0; 
byte mac[] = {0x90, 0xA2, 0xDA, 0x0D, 0x1F, 0x8B}; 
byte ip[] = {192,168,1,177};
EthernetServer server(80);
int LED = 13;
int HUMD = 0;
int POT = 5;
char clientline[100];
int index = 0;

void setup(){
  Ethernet.begin(mac,ip);
  Serial.begin(9600);
  pinMode(LED,OUTPUT);
  pinMode(HUMD, INPUT);
  pinMode(POT, INPUT);
}


void loop(){
  int index=0; //Resetea Index Cliente
  EthernetClient client = server.available();
  if (Serial.available()>0){
    input = Serial.read();
    if (input == '1'){
        digitalWrite(13,HIGH);
        Serial.println("S1:Valor1|S2:Valor2|S3:Valor3");
     }else{
        digitalWrite(13,LOW);
     }
    if (input == 'a'){
      server.begin();
       if (client) {
         boolean currentLineIsBlank = true;
         while (client.connected()) {
           if (client.available()) {
             char c = client.read();
             if(index<BUFFER) //Solo agrega datos si el Buffer NO esta lleno
             {
               clientline[index]=c;
               index++;
             }
              //Codigo HTML que permite activar los diversos "pines"
             if (c == '\n' && currentLineIsBlank)
             {
             client.println("HTTP/1.1 200 OK");
             client.println("Content-Type: text/html");
             client.println(); // Por deﬁnición de la librería Ethernet.h, se debe dejar una linea en blanco
             // Se detalla el código HTML que cree para accionar periféricos a través de una interfaz web 
             client.println("<h1><center>PROYECTO ELO329</h1></center>");
             //Lectura y muestra de "pines" analogos (valores de 0-1023 / 0V - 5V)
             int sensorReading = analogRead(0); // Sensa la señal de entrada
             client.print("<h2><left>Temperatura</left></h2> ");
             client.print("La Medicion de temperatura muestra valores cercanos a: ");
             client.print(sensorReading);
             client.println("</br>"); 
             sensorReading = analogRead(1); // Sensa la señal de entrada
             client.print("<h2><left>Luminosidad</left></h2> ");
             client.print("La medicion de luminosidad muestra valores cercanos a: ");
             client.print(sensorReading);
             client.println("</br>"); 
             break;
             }
           }
         }
       }     
    }else{
    }
  }
}
